class memory_Context:
  def __init__(self):
    self.didLaunch = False
    self.exit = False
    self.hiddenItems = []
    self.input = ""
    self.mismatchedItems = []
    self.outputGoOn = ""
    self.outputGreeting = ""
    self.outputHelp = ""
    self.outputMatchedItems = ""
    self.outputMismatchedItems = ""
    self.outputPromptSelection = ""
    self.outputVictory = ""
    self.playfieldItems = {}
    self.playfieldSize = 0
    self.recentField = "none"
    self.selectedId = -1
    self.selectedItems = []
    self.victory = False

  def field(self, fieldName):
    return getattr(self, fieldName)

  def setField(self, fieldName, value):
    setattr(self, fieldName, value)

  def __repr__(self):
    return self.__str__()

  def __str__(self):
    return f"memory_Context(playfieldI/playfieldS/recentF/selectedId/selectedI: '{self.playfieldItems}'/'{self.playfieldSize}'/'{self.recentField}'/'{self.selectedId}'/'{self.selectedItems}')"

def memory_createContext():
  return memory_Context()
